libebook::FictionBook2ContentCollector Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FictionBook2ContentCollector Class Reference

`#include <FictionBook2ContentCollector.h>`

Inheritance diagram for libebook::FictionBook2ContentCollector:

## Public Member Functions
| FictionBook2ContentCollector (librevenge::RVNGTextInterface *m_document, const librevenge::RVNGPropertyList &metadata, const NoteMap_t &notes, const BinaryMap_t &bitmaps)
Public Member Functions inherited from libebook::FictionBook2Collector
virtual | ~FictionBook2Collector ()=0

## Private Member Functions
| FictionBook2ContentCollector (const FictionBook2ContentCollector &other)
FictionBook2ContentCollector & | operator= (const FictionBook2ContentCollector &other)
void | defineMetadataEntry (const char *name, const char *value) override
void | openMetadataEntry (const char *name) override
void | closeMetadataEntry () override
void | defineID (const char *id) override
void | openPageSpan () override
void | closePageSpan () override
void | openBlock () override
void | closeBlock () override
void | openParagraph (const FictionBook2BlockFormat &format) override
void | closeParagraph () override
void | openSpan (const FictionBook2Style &style) override
void | closeSpan () override
void | insertText (const char *text) override
void | openTable (const FictionBook2BlockFormat &format) override
void | closeTable () override
void | openTableRow (const FictionBook2BlockFormat &format) override
void | closeTableRow () override
void | openTableCell (int rowspan, int colspan) override
void | closeTableCell () override
void | insertCoveredTableCell () override
void | insertFootnote (const char *id) override
void | insertBitmap (const char *id) override
void | insertBitmapData (const char *contentType, const char *base64Data) override

## Private Attributes
librevenge::RVNGTextInterface * | m_document
const librevenge::RVNGPropertyList & | m_metadata
const NoteMap_t & | m_notes
const BinaryMap_t & | m_bitmaps
EBOOKLanguageManager | m_languageManager
int | m_currentFootnote
int | m_openPara

## Additional Inherited Members
Public Types inherited from libebook::FictionBook2Collector
typedef std::unordered_map< std::string, Binary > | BinaryMap_t
typedef std::unordered_map< std::string, Note > | NoteMap_t

## Constructor & Destructor Documentation

## ◆ FictionBook2ContentCollector() [1/2]

libebook::FictionBook2ContentCollector::FictionBook2ContentCollector | ( | const FictionBook2ContentCollector & | other | ) |
| private

Referenced by FictionBook2ContentCollector(), and operator=().

## ◆ FictionBook2ContentCollector() [2/2]

libebook::FictionBook2ContentCollector::FictionBook2ContentCollector | ( | librevenge::RVNGTextInterface * | m_document,
|  | const librevenge::RVNGPropertyList & | metadata,
|  | const NoteMap_t & | notes,
|  | const BinaryMap_t & | bitmaps )

## Member Function Documentation

## ◆ closeBlock()

void libebook::FictionBook2ContentCollector::closeBlock | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeMetadataEntry()

void libebook::FictionBook2ContentCollector::closeMetadataEntry | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closePageSpan()

void libebook::FictionBook2ContentCollector::closePageSpan | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeParagraph()

void libebook::FictionBook2ContentCollector::closeParagraph | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

Referenced by insertFootnote().

## ◆ closeSpan()

void libebook::FictionBook2ContentCollector::closeSpan | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

Referenced by insertFootnote().

## ◆ closeTable()

void libebook::FictionBook2ContentCollector::closeTable | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeTableCell()

void libebook::FictionBook2ContentCollector::closeTableCell | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeTableRow()

void libebook::FictionBook2ContentCollector::closeTableRow | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ defineID()

void libebook::FictionBook2ContentCollector::defineID | ( | const char * | id | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ defineMetadataEntry()

void libebook::FictionBook2ContentCollector::defineMetadataEntry | ( | const char * | name,
|  | const char * | value )
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ insertBitmap()

void libebook::FictionBook2ContentCollector::insertBitmap | ( | const char * | id | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ insertBitmapData()

void libebook::FictionBook2ContentCollector::insertBitmapData | ( | const char * | contentType,
|  | const char * | base64Data )
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

Referenced by insertBitmap().

## ◆ insertCoveredTableCell()

void libebook::FictionBook2ContentCollector::insertCoveredTableCell | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ insertFootnote()

void libebook::FictionBook2ContentCollector::insertFootnote | ( | const char * | id | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ insertText()

void libebook::FictionBook2ContentCollector::insertText | ( | const char * | text | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

Referenced by insertFootnote().

## ◆ openBlock()

void libebook::FictionBook2ContentCollector::openBlock | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openMetadataEntry()

void libebook::FictionBook2ContentCollector::openMetadataEntry | ( | const char * | name | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openPageSpan()

void libebook::FictionBook2ContentCollector::openPageSpan | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openParagraph()

void libebook::FictionBook2ContentCollector::openParagraph | ( | const FictionBook2BlockFormat & | format | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

Referenced by insertFootnote().

## ◆ openSpan()

void libebook::FictionBook2ContentCollector::openSpan | ( | const FictionBook2Style & | style | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

Referenced by insertFootnote().

## ◆ openTable()

void libebook::FictionBook2ContentCollector::openTable | ( | const FictionBook2BlockFormat & | format | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openTableCell()

void libebook::FictionBook2ContentCollector::openTableCell | ( | int | rowspan,
|  | int | colspan )
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openTableRow()

void libebook::FictionBook2ContentCollector::openTableRow | ( | const FictionBook2BlockFormat & | format | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ operator=()

FictionBook2ContentCollector & libebook::FictionBook2ContentCollector::operator= | ( | const FictionBook2ContentCollector & | other | ) |
| private

## Member Data Documentation

## ◆ m_bitmaps

const BinaryMap_t& libebook::FictionBook2ContentCollector::m_bitmaps
| private

Referenced by FictionBook2ContentCollector(), and insertBitmap().

## ◆ m_currentFootnote

int libebook::FictionBook2ContentCollector::m_currentFootnote
| private

Referenced by FictionBook2ContentCollector(), and insertFootnote().

## ◆ m_document

librevenge::RVNGTextInterface* libebook::FictionBook2ContentCollector::m_document
| private

Referenced by closePageSpan(), closeParagraph(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), FictionBook2ContentCollector(), insertBitmap(), insertBitmapData(), insertCoveredTableCell(), insertFootnote(), insertText(), openPageSpan(), openParagraph(), openSpan(), openTable(), openTableCell(), openTableRow(), and operator=().

## ◆ m_languageManager

EBOOKLanguageManager libebook::FictionBook2ContentCollector::m_languageManager
| private

Referenced by FictionBook2ContentCollector(), and openSpan().

## ◆ m_metadata

const librevenge::RVNGPropertyList& libebook::FictionBook2ContentCollector::m_metadata
| private

Referenced by FictionBook2ContentCollector(), and openSpan().

## ◆ m_notes

const NoteMap_t& libebook::FictionBook2ContentCollector::m_notes
| private

Referenced by FictionBook2ContentCollector(), and insertFootnote().

## ◆ m_openPara

int libebook::FictionBook2ContentCollector::m_openPara
| private

Referenced by closeParagraph(), FictionBook2ContentCollector(), insertBitmap(), and openParagraph().

The documentation for this class was generated from the following files:

- FictionBook2ContentCollector.h
- FictionBook2ContentCollector.cpp